-- 这是聚光灯控制脚本，用lua 5.2.x语言编写。聚光灯介绍形式是枫传网络独创的软件介绍方式。通过将软件界面雾化为背景，并用聚光灯突显要介绍的部分，配合文字说明，对软件进行介绍。您可以按照提示修改此脚本。
-- 下面为文件信息，除CodePage外，其它项目请不要修改。
Application = "GTalkabout"
Version = "1.1"
ScriptType = "tutorial"
CodePage = 936	-- 简体中文，如果您将此脚本翻译为其他语种，请修改为该语种对应的代码页，否则，请不要修改。

-- 下面为介绍文字，是markdown格式文本。您可以将其翻译为其它语种或修改，请不要修改圆括号内的文字。
Hint_text = [[
欢迎使用 极客讨论器 个人版
===
此软件内核采用 极客讨论器 1.2.0 版 由枫传网络版权所有

极客讨论器是一款**讨论和批注源代码的工具**，适合于程序员，软件开发、测试、管理人员，编程爱好者。[详细介绍](introduction)

**极客网站**列表列出了已安装的网站插件。  
**极客网站**在这里是一专有名词，特指支持极客讨论器的网站，是为程序员和编程爱好者服务的平台。  
任何形式的网站，包括论坛，博客，社区等等，只要支持极客讨论器收发消息，都可称为**极客网站**。

极客讨论器通过**插件**来实现与极客网站的通讯。安装一个插件后，它的LOGO会显示在此，点击即可切换到对应的客户端界面，进入讨论界面后会出现与此网站通讯的讨论面板。

预装了一个插件，可以对极客网站[程序员记](http://www.progbbs.com)进行访问。  
[程序员记](http://www.progbbs.com)使用phpBB软件搭建的论坛型网站，所有讨论帖子都是批注GitHub上的开源代码，目的是互相学习和协同开发。  
如您想要从[程序员记](http://www.progbbs.com)网站读取开源代码的批注，请看[介绍](progbbs_read)；  
如您想要在[程序员记](http://www.progbbs.com)网站请求他人协助您的开源项目，请看[介绍](progbbs_write)。

[关闭提示](cancel_auto_load)
]]

-- 下面为聚光灯流程控制，请不要修改！
function ControlValueIterator(ControlTable)
	local iIndex = 0

	return function()
		iIndex = iIndex + 1;
		local ControlValue = ControlTable[iIndex];

		if type(ControlValue) == "string" then
			return ControlValue, "";
		elseif type(ControlValue) == "table" then
			local Control, Value = ControlValue[1], ControlValue[2];

			if type(Control) == "string" then
				if type(Value) == "string" then
					return Control, Value;
				else
					return Control, "";
				end
			else
				return nil;
			end
		else
			return nil;
		end
	end
end

function ChangeSpotlights(ControlTable)
	local Iter = ControlValueIterator(ControlTable);
	local Control, Value = Iter();

	if Control == "close" or Control == "cancel_auto_load" then
		return {}, "";
	elseif Control == "introduction" or Control == "whats_new_1_1_5" then
		TutorialOptions(Control);
	elseif Control == "progbbs_read" then
		TutorialOptions("www.progbbs.com_read");
	elseif Control == "progbbs_write" then
		TutorialOptions("www.progbbs.com_write");
	end
	return { {"certificate", 0} }, Hint_text;
end

AutoLoad = 0